import { expect, tap } from '@pushrocks/tapbundle';
import * as sdk from '../ts/index';
import { ISimpleRequest } from '@tsclass/tsclass/dist_ts/network';
import { TypedRouter } from '@apiglobal/typedrequest';


tap.test('should create a valid Handler', async () => {
  class MyHandler extends sdk.AAgHandler<any> {
    public slug: 'testapi';
    public typedrouter = new TypedRouter();
    public async checkReqirements() {
      return {
        allOk: true,
        reason: '',
      };
    }

    public async start() {}

    public async stop() {}
  }

  const myHandlerInstance = new MyHandler();

  expect(myHandlerInstance).to.be.instanceOf(sdk.AAgHandler);
});

tap.start();
